Public Member Functions | Public Attributes | Friends | List of all members
PowerPoint1ParserInternal::Ruler::Outline Struct Reference

the outline More...

## Public Member Functions
| Outline ()
| constructor More...

## Public Attributes
int | m_margins [2]
| the first margin and left margin More...
int | m_interlines [2]
| the interline and paragraph spacing More...

## Friends
std::ostream & | operator<< (std::ostream &o, Outline const &outline)
| operator<< More...

## Detailed Description

the outline

## Constructor & Destructor Documentation

## ◆ Outline()

PowerPoint1ParserInternal::Ruler::Outline::Outline | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Outline const & | outline
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_interlines

int PowerPoint1ParserInternal::Ruler::Outline::m_interlines[2]

the interline and paragraph spacing

Referenced by Outline().

## ◆ m_margins

int PowerPoint1ParserInternal::Ruler::Outline::m_margins[2]

the first margin and left margin

Referenced by Outline().

The documentation for this struct was generated from the following file:

- PowerPoint1Parser.cxx